#!/usr/bin/env bash

set -e

rm -f ./*.tar.gz
rm -rf bin

mkdir bin

if [[ "$OSTYPE" == "linux-gnu"* ]]; then
  GOOS=linux GOARCH=amd64 go build -o bin/epochcli-linux-amd64
  tar czvf epochcli-linux-amd64.tar.gz bin/epochcli-linux-amd64
elif [[ "$OSTYPE" == "darwin"* ]]; then
  GOOS=darwin GOARCH=arm64 go build -o bin/epochcli-darwin-arm64
  tar czvf epochcli-darwin-arm64.tar.gz bin/epochcli-darwin-arm64
fi

rm -rf bin